{ config, ... }:
{
  services = {
    globalprotect.enable = true;
    wireguard.client.enable = true;
  };

  virtualisation = {
    libvirtd.enable = true;
    vmware.host.enable = true;
  };

  nixpkgs.allowUnfreePackages = [ "vmware-workstation" ];

  environment.persistence."/persist".directories = [
    "/home/${config.sysusers.main}/vmware"
    "/home/${config.sysusers.main}/.vmware"
  ];
}
