{ ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./firewall
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "tower";
    interfaces."enp42s0".ipv4.addresses = [{
      address = "10.2.0.100";
      prefixLength = 8;
    }];
    defaultGateway = {
      address = "10.1.0.1";
      interface = "enp42s0";
    };
  };

  system = {
    desktop.enable = true;
    nvidia.enable = true;
    stateVersion = "24.05";
  };

  virtualisation.libvirtd.enable = true;
}
