{ config, lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./services
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "envy";
    wireless.iwd.enable = true;
    wg-quick.interfaces.wgc.address = [ "10.100.0.25/24" ];
  };

  system = {
    desktop.enable = true;
    stateVersion = "24.11";
  };
}
