{ pkgs, ... }:
{
  users.users."corn" = {
    isNormalUser = true;
    createHome = true;
    openssh.authorizedKeys.keys = [
      "AAAAC3NzaC1lZDI1NTE5AAAAIKaZsnlyUJDNx2oK4iHsUDb+Ok4vg1jNYEAnoHsjjM2c Chinook"
      "AAAAC3NzaC1lZDI1NTE5AAAAICtoHVAmq8Ps7EguBsV3VY4snagzkhH6aXqwbKzuGs2H Radiant"
    ];
    uid = 1001;
    shell = pkgs.zsh;
  };

  environment.persistence."/persist".directories = [ "/home/corn" ];
}
