{ ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./firewall
    ./hardware
    ./services
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "midas";
    hostId = "38ba3f57";
    interfaces."enp0s31f6".ipv4.addresses = [{
      address = "10.2.0.1";
      prefixLength = 8;
    }];
    defaultGateway = {
      address = "10.1.0.1";
      interface = "enp0s31f6";
    };
  };

  system = {
    server.enable = true;
    stateVersion = "24.11";
  };
}
